use bevy::prelude::*;
use crate::assets::FONT_VIDEOPHREAD;
use crate::game_state::GameState;

pub struct MainMenuPlugin;

#[derive(Component)]
struct MainMenuOption;

#[derive(Component)]
struct Active;

fn setup_main_menu(
    mut commands: Commands,
    asset_server: Res<AssetServer>,
) {
    let font = asset_server.load(FONT_VIDEOPHREAD);
    let text_style = TextStyle {
        font,
        font_size: 60.0,
        color: Color::WHITE,
    };
    let text_alignment = TextAlignment {
        vertical: VerticalAlign::Center,
        horizontal: HorizontalAlign::Center,
    };
}

impl Plugin for MainMenuPlugin {
    fn build(&self, app: &mut App) {
        let state = GameState::MainMenu;
        app.add_system_set(SystemSet::on_enter(state).with_system(setup_main_menu));
    }
}
